/***************************************************************************
 *  Enums.cs
 *
 *  Copyright (C) 2006-2007 Alan McGovern
 *  Authors:
 *  Alan McGovern (alan.mcgovern@gmail.com)
 ****************************************************************************/

/*  THIS FILE IS LICENSED UNDER THE MIT LICENSE AS OUTLINED IMMEDIATELY BELOW: 
 *
 *  Permission is hereby granted, free of charge, to any person obtaining a
 *  copy of this software and associated documentation files (the "Software"),  
 *  to deal in the Software without restriction, including without limitation  
 *  the rights to use, copy, modify, merge, publish, distribute, sublicense,  
 *  and/or sell copies of the Software, and to permit persons to whom the  
 *  Software is furnished to do so, subject to the following conditions:
 *
 *  The above copyright notice and this permission notice shall be included in 
 *  all copies or substantial portions of the Software.
 *
 *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
 *  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 *  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE 
 *  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 *  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING 
 *  FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
 *  DEALINGS IN THE SOFTWARE.
 */

using System;

namespace libmtpsharp
{
	public enum FileType
	{
		LIBMTP_FILETYPE_WAV,
		LIBMTP_FILETYPE_MP3,
		LIBMTP_FILETYPE_WMA,
		LIBMTP_FILETYPE_OGG,
		LIBMTP_FILETYPE_AUDIBLE,
		LIBMTP_FILETYPE_MP4,
		LIBMTP_FILETYPE_UNDEF_AUDIO,
		LIBMTP_FILETYPE_WMV,
		LIBMTP_FILETYPE_AVI,
		LIBMTP_FILETYPE_MPEG,
		LIBMTP_FILETYPE_ASF,
		LIBMTP_FILETYPE_QT,
		LIBMTP_FILETYPE_UNDEF_VIDEO,
		LIBMTP_FILETYPE_JPEG,
		LIBMTP_FILETYPE_JFIF,
		LIBMTP_FILETYPE_TIFF,
		LIBMTP_FILETYPE_BMP,
		LIBMTP_FILETYPE_GIF,
		LIBMTP_FILETYPE_PICT,
		LIBMTP_FILETYPE_PNG,
		LIBMTP_FILETYPE_VCALENDAR1,
		LIBMTP_FILETYPE_VCALENDAR2,
		LIBMTP_FILETYPE_VCARD2,
		LIBMTP_FILETYPE_VCARD3,
		LIBMTP_FILETYPE_WINDOWSIMAGEFORMAT,
		LIBMTP_FILETYPE_WINEXEC,
		LIBMTP_FILETYPE_TEXT,
		LIBMTP_FILETYPE_HTML,
		LIBMTP_FILETYPE_FIRMWARE,
		LIBMTP_FILETYPE_AAC,
		LIBMTP_FILETYPE_MEDIACARD,
		LIBMTP_FILETYPE_FLAC,
		LIBMTP_FILETYPE_MP2,
		LIBMTP_FILETYPE_M4A,
		LIBMTP_FILETYPE_DOC,
		LIBMTP_FILETYPE_XML,
		LIBMTP_FILETYPE_XLS,
		LIBMTP_FILETYPE_PPT,
		LIBMTP_FILETYPE_MHT,
		LIBMTP_FILETYPE_JP2,
		LIBMTP_FILETYPE_JPX,
		LIBMTP_FILETYPE_UNKNOWN
	}
	
	public enum ErrorCode
	{
		LIBMTP_ERROR_NONE,
		LIBMTP_ERROR_GENERAL,
		LIBMTP_ERROR_PTP_LAYER,
		LIBMTP_ERROR_USB_LAYER,
		LIBMTP_ERROR_MEMORY_ALLOCATION,
		LIBMTP_ERROR_NO_DEVICE_ATTACHED,
		LIBMTP_ERROR_STORAGE_FULL,
		LIBMTP_ERROR_CONNECTING,
		LIBMTP_ERROR_CANCELLED
	}
}
